> ## Documentation Index
> Fetch the complete documentation index at: https://lingopal.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Republish Media

## Description

Republishes the media for the specified language.


## OpenAPI

````yaml post /v1/videos/{media_id}/{language}/republish
openapi: 3.1.0
info:
  title: Lingopal VOD API
  description: API for Video on Demand processing, transcription, and translation services
  version: 0.0.1
servers:
  - url: https://api.lingopal.ai
security: []
paths:
  /v1/videos/{media_id}/{language}/republish:
    post:
      tags:
        - videos
      summary: Republish Media
      operationId: republish_media_v1_videos__media_id___language__republish_post
      parameters:
        - name: language
          in: path
          required: true
          schema:
            type: string
            title: Language
        - name: media_id
          in: path
          required: true
          schema:
            type: string
            title: Media Id
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: >-
                #/components/schemas/Body_republish_media_v1_videos__media_id___language__republish_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Body_republish_media_v1_videos__media_id___language__republish_post:
      properties:
        remove_background_audio:
          type: boolean
          title: Remove Background Audio
          default: false
        prepend_ai_warning:
          type: boolean
          title: Prepend Ai Warning
          default: false
        burn_subtitles_on_source:
          type: boolean
          title: Burn Subtitles On Source
          default: false
        word_count_per_line:
          type: integer
          title: Word Count Per Line
          default: 7
        background_audio_volume:
          anyOf:
            - type: number
            - type: 'null'
          title: Background Audio Volume
      type: object
      title: Body_republish_media_v1_videos__media_id___language__republish_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````